EZ_TreeNodeGetChildren(3)

NAME
EZ_TreeNodeGetChildren, EZ_TreeNodeGetSibling, EZ_TreeNodeGetParent - retieve neighboring tree nodes

SYNOPSIS
#include <EZ.h>

EZ_TreeNode *EZ_TreeNodeGetChildren(EZ_TreeNode *node)
EZ_TreeNode *EZ_TreeNodeGetSibling(EZ_TreeNode *node)
EZ_TreeNode *EZ_TreeNodeGetParent(EZ_TreeNode *node)

ARGUMENTS
node Specifies a tree node.

DESCRIPTION

EZ_TreeNodeGetParent returns the parent node.

EZ_TreeNodeGetChildren returns the children node.

EZ_TreeNodeGetSibling returns the sibling node.

The representation of a tree is schematically the following
      ...
     parent
      |     \           \
      |      \           \           \
     node -- sibling -- sibling -- sibling -- ...
      |        |          |          |
      |        |          |          |
     child    ...        ...        ...
         ...

SEE ALSO
 EZ_CreateTreeNode(3), EZ_TreeFindNode(3)